# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentVersionIdUnitpredictionBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'model_id': 'str',
        'features': 'ExperimentversionsexperimentVersionIdunitpredictionFeatures',
        'confidence': 'bool',
        'explain': 'bool'
    }

    attribute_map = {
        'model_id': 'model_id',
        'features': 'features',
        'confidence': 'confidence',
        'explain': 'explain'
    }

    def __init__(self, model_id=None, features=None, confidence=None, explain=None):  # noqa: E501
        """ExperimentVersionIdUnitpredictionBody - a model defined in Swagger"""  # noqa: E501
        self._model_id = None
        self._features = None
        self._confidence = None
        self._explain = None
        self.discriminator = None
        if model_id is not None:
            self.model_id = model_id
        if features is not None:
            self.features = features
        if confidence is not None:
            self.confidence = confidence
        if explain is not None:
            self.explain = explain

    @property
    def model_id(self):
        """Gets the model_id of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501


        :return: The model_id of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :rtype: str
        """
        return self._model_id

    @model_id.setter
    def model_id(self, model_id):
        """Sets the model_id of this ExperimentVersionIdUnitpredictionBody.


        :param model_id: The model_id of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :type: str
        """

        self._model_id = model_id

    @property
    def features(self):
        """Gets the features of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501


        :return: The features of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :rtype: ExperimentversionsexperimentVersionIdunitpredictionFeatures
        """
        return self._features

    @features.setter
    def features(self, features):
        """Sets the features of this ExperimentVersionIdUnitpredictionBody.


        :param features: The features of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :type: ExperimentversionsexperimentVersionIdunitpredictionFeatures
        """

        self._features = features

    @property
    def confidence(self):
        """Gets the confidence of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501


        :return: The confidence of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :rtype: bool
        """
        return self._confidence

    @confidence.setter
    def confidence(self, confidence):
        """Sets the confidence of this ExperimentVersionIdUnitpredictionBody.


        :param confidence: The confidence of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :type: bool
        """

        self._confidence = confidence

    @property
    def explain(self):
        """Gets the explain of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501


        :return: The explain of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :rtype: bool
        """
        return self._explain

    @explain.setter
    def explain(self, explain):
        """Sets the explain of this ExperimentVersionIdUnitpredictionBody.


        :param explain: The explain of this ExperimentVersionIdUnitpredictionBody.  # noqa: E501
        :type: bool
        """

        self._explain = explain

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentVersionIdUnitpredictionBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentVersionIdUnitpredictionBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
